Difference between revisions of "Std SaveCopy/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(28 intermediate revisions by 2 users not shown)
Line 1: Line 1:
{{GuiCommand/it|Name=Std SaveaCopy|Name/it=Salva una copia|MenuLocation=[[Std_File_Menu/it|File]] → Salva una copia...|Workbenches=All|Shortcut=C|SeeAlso=[[Std_Save/it|Salva]], [[Std_SaveAs/it|Salva come...]] }}
+
<languages/>
 +
<div class="mw-translate-fuzzy">
 +
{{Docnav/it
 +
|[[Std_SaveAs/it|Salva con nome]]
 +
|[[Std_SaveAll/it|Salva tutto]]
 +
|[[Std_File_Menu/it|Menu File]]
 +
|IconL=Std_SaveAs.svg
 +
|IconR=
 +
|IconC=Freecad.svg
 +
}}
 +
</div>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{GuiCommand/it
 +
|Name=Std_SaveCopy
 +
|Name/it=Salva una copia
 +
|Empty=1
 +
|MenuLocation=File → Salva una copia...
 +
|Workbenches=All
 +
|SeeAlso=[[Std_SaveAs/it|Salva con nome]], [[Std_Save/it|Salva]]
 +
}}
 +
</div>
 +
 
 +
==Descrizione==
 +
 
 +
Il comando '''Salva una copia''' salva una copia del documento attivo con un nuovo nome di file.
 +
 
 +
==Utilizzo==
 +
 
 +
<div class="mw-translate-fuzzy">
 +
# Selezionare {{MenuCommand|File → Salva una copia...}} nel menu.
 +
# Immettere un nome per il file nella finestra di dialogo.
 +
# Premere il pulsante {{Button|Salva}}.
 +
</div>
 +
 
 +
==Opzioni==
 +
 
 +
* Premere il tasto {{KEY|Esc}} o il pulsante {{Button|Annulla}} per annullare il comando.
 +
 
 +
==Preferenze==
 +
 
 +
* L'ultima posizione del file utilizzato viene memorizzata in: {{MenuCommand|Strumenti → Modifica parametri... → BaseApp → Preferences → General → FileOpenSavePath}}.
  
==Description==
+
==Script==
Saves a copy of the actual document under a new file name.
 
  
==Use==
+
{{Emphasis|Vedere anche:}} [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]]
Choose {{KEY| File}} →  {{KEY| Save a Copy...}}  from the top menu.
 
  
==Limitations==
+
Per salvare una copia di un documento, utilizzare il metodo {{incode|saveCopy}} dell'oggetto documento.
<br />
 
  
==Notes==
+
{{Code|code=
<br />
+
import FreeCAD
 +
from pathlib import Path
  
 +
# The folder and filename we will use:
 +
fld = 'D:/testfiles/'
 +
fnm = fld + 'testCopy.FCStd'
  
 +
# Make sure fld exists:
 +
Path(fld).mkdir(parents=True, exist_ok=True)
  
 +
doc = FreeCAD.newDocument()
 +
doc.saveCopy(fnm)
 +
}}
 +
 +
 +
<div class="mw-translate-fuzzy">
 +
{{Docnav/it
 +
|[[Std_SaveAs/it|Salva con nome]]
 +
|[[Std_SaveAll/it|Salva tutto]]
 +
|[[Std_File_Menu/it|Menu File]]
 +
|IconL=Std_SaveAs.svg
 +
|IconR=
 +
|IconC=Freecad.svg
 +
}}
 +
</div>
 +
 +
{{Std Base navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}
<languages/>
 

Latest revision as of 15:28, 12 December 2020

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский • ‎한국어
Arrow-left.svg Std SaveAs.svg Salva con nome Pagina precedente:
Pagina successiva: Salva tutto Arrow-right.svg

Salva una copia

Nome nel codice
Std_SaveCopy
Posizione nel menu
File → Salva una copia...
Ambiente
All
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Salva con nome, Salva


Descrizione

Il comando Salva una copia salva una copia del documento attivo con un nuovo nome di file.

Utilizzo

  1. Selezionare File → Salva una copia... nel menu.
  2. Immettere un nome per il file nella finestra di dialogo.
  3. Premere il pulsante Salva.

Opzioni

  • Premere il tasto Esc o il pulsante Annulla per annullare il comando.

Preferenze

  • L'ultima posizione del file utilizzato viene memorizzata in: Strumenti → Modifica parametri... → BaseApp → Preferences → General → FileOpenSavePath.

Script

Vedere anche: Script di base per FreeCAD

Per salvare una copia di un documento, utilizzare il metodo saveCopy dell'oggetto documento.

import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'testCopy.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveCopy(fnm)


Arrow-left.svg Std SaveAs.svg Salva con nome Pagina precedente:
Pagina successiva: Salva tutto Arrow-right.svg